<div class="media">
  <div class="media-body">
    <h1><%= @place.title %></h1>
    <h5 class="mt-0 mb-1"><%= @place.category.title %></h5>
    <%= @place.description %>
  </div>
  <%= image_tag @place.main, :class => "ml-3" , size: 150 %>
</div>
<div class="mt-3">
  <h6>Gallery</h6>
  <%= @place.pictures.each do |picture| %>
  <%= image_tag @place.picture, size: 50 %>
  <% end %>
</div>
<div class="mt-3">
  <h6>Raitings</h6>
  <p>Overall: <%= [@place.reviews.average(:food_quality).to_f, @place.reviews.average(:service).to_f, @place.reviews.average(:interior).to_f].inject{ |sum, el| sum + el }.to_f / 3 %></p>
  <p>Quality of food: <%= @place.reviews.average(:food_quality).to_f %></p>
  <p>Service quality: <%= @place.reviews.average(:service).to_f %></p>
  <p>Interior: <%= @place.reviews.average(:interior).to_f %></p>
</div>
<div class="mt-3">
  <h6>Reviews</h6>
  <% @place.reviews.each do |review| %>
  <p>On <%= review.created_at.strftime('%Y-%m-%d') %>, <%= review.user.email %> said:</p>
  <p><%= review.comment %></p>
  <p>Quality of food: <%= review.food_quality.to_f %></p>
  <p>Service quality: <%= review.service.to_f %></p>
  <p>Interior: <%= review.interior.to_f %></p>
  <% end %>
</div>
<div class="mt-3">
  <h6>Add reviews</h6>
</div>